import { CanvasGestureDOMEventProxy } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
import { NormalizedEvent, DomWrapper, DomRenderer } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CustomDOMEventProxy extends CanvasGestureDOMEventProxy {
    static $t: Type;
    constructor(a: DomWrapper, b: DomRenderer, c: boolean);
    _d8: (arg1: NormalizedEvent) => boolean;
    protected cu(a: NormalizedEvent): void;
    protected cv(a: NormalizedEvent): void;
}
